Subject: bug#24590: closed (Re: bug#24555: [PATCH] Remove unused variable `command-debug-status')

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 04 Oct 2016 14:44:03 +0000

Your bug report

#24555: [PATCH 2/2] Deprecate variable command-debug-status

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24555: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24555
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#24555: [PATCH] Remove unused variable `command-debug-status'
From: Eli Zaretskii <[email-masked]>
To: Philippe Vaucher <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 04 Oct 2016 17:43:18 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Philippe Vaucher <[email-masked]>
> Date: Mon, 3 Oct 2016 09:42:14 +0200
> Cc: Stefan Monnier <[email-masked]>, [email-masked]
> 
> And again new patches without a typo :-)

Thanks, I pushed this to the emacs-25 branch, and I'm marking this
bug done.

Please note that your patch had a fatal flaw: specbind needs a
(quoted) symbol, not its value.  Using Vcommand_debug_status there
produced a broken binary that would display an error message and
become unresponsive.  See what I actually committed for the details.

Also, the obsolescence warning needed some minor tweaks (it turns out
that my advice to prepend a semi-colon was a bad idea, as a semi-colon
and a newline are produced by Emacs automatically).

Please always test the build after you patch it, to make sure the
behavior is correct and no bugs creep in.

Finally, in the future please provide commit log messages for the
changes formatted in the ChanegLog style, as described in CONTRIBUTE.
I wrote them for this commit, please see the commit for the details of
the formatting we use.

Thanks a lot for working on this.

Subject: [PATCH 2/2] Deprecate variable command-debug-status
From: Philippe Vaucher <[email-masked]>
To: [email-masked]
Date: Sun, 2 Oct 2016 18:59:55 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

---
 doc/lispref/debugging.texi | 2 ++
 lisp/subr.el               | 2 ++
 2 files changed, 4 insertions(+)

diff --git a/doc/lispref/debugging.texi b/doc/lispref/debugging.texi
index 2f83b40..322acd0 100644
--- a/doc/lispref/debugging.texi
+++ b/doc/lispref/debugging.texi
@@ -654,6 +654,8 @@ invocation.
 The advantage of using this variable rather than an ordinary global
 variable is that the data will never carry over to a subsequent command
 invocation.
+
+This variable is obsolete and should be removed in future versions.
 @end defvar
 
 @defun backtrace-frame frame-number
diff --git a/lisp/subr.el b/lisp/subr.el
index e9e19d3..271cd2f 100644
--- a/lisp/subr.el
+++ b/lisp/subr.el
@@ -1377,6 +1377,8 @@ is converted into a string by expressing it in decimal."
 (make-obsolete 'process-filter-multibyte-p nil "23.1")
 (make-obsolete 'set-process-filter-multibyte nil "23.1")
 
+(make-obsolete-variable 'command-debug-status "should be removed in future versions" "25.2")
+
 ;; Lisp manual only updated in 22.1.
 (define-obsolete-variable-alias 'executing-macro 'executing-kbd-macro
   "before 19.34")
-- 
2.10.0